curl -X GET https://api.thalbank.com/webhooks/d4e5f6a7-b8c9-0123-def0-123456789abc \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
}
Webhooks
Consultar Webhook
Retorna os detalhes de um webhook
GET
/
webhooks
/
{id}
curl -X GET https://api.thalbank.com/webhooks/d4e5f6a7-b8c9-0123-def0-123456789abc \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
}
Request
string
required
UUID do webhook.
curl -X GET https://api.thalbank.com/webhooks/d4e5f6a7-b8c9-0123-def0-123456789abc \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
}
Was this page helpful?